> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the fiat payout configuration for a customer

> Update the fiat payout configuration for the given customer ID. This configuration determines which payout method (bridge, developer, payment_provider, or customer) is used for each currency and payment rail combination.

The configuration is a nested hash structure where:
- Top-level keys are currency codes (e.g., "usd", "eur", "brl", "mxn")
- Second-level keys are payment rail codes (e.g., "wire", "ach", "sepa", "pix", "spei")
- Values are payout names: `bridge`, `developer`, `payment_provider`, or `customer`

Currently, only the following values are supported for the payout method:
- usd.wire: `developer`, `customer`
- usd.ach: `bridge`
- eur.sepa: `bridge`
- brl.pix: `payment_provider`
- mxn.spei: `payment_provider`

Only the currency/payment rail combinations provided will be updated. Other existing configurations will remain unchanged.




## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json patch /customers/{customerID}/fiat_payout_configuration
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /customers/{customerID}/fiat_payout_configuration:
    parameters:
      - $ref: '#/components/parameters/CustomerIDParameter'
    patch:
      tags:
        - Fiat Payout Configuration
      summary: Update the fiat payout configuration for a customer
      description: >
        Update the fiat payout configuration for the given customer ID. This
        configuration determines which payout method (bridge, developer,
        payment_provider, or customer) is used for each currency and payment
        rail combination.


        The configuration is a nested hash structure where:

        - Top-level keys are currency codes (e.g., "usd", "eur", "brl", "mxn")

        - Second-level keys are payment rail codes (e.g., "wire", "ach", "sepa",
        "pix", "spei")

        - Values are payout names: `bridge`, `developer`, `payment_provider`, or
        `customer`


        Currently, only the following values are supported for the payout
        method:

        - usd.wire: `developer`, `customer`

        - usd.ach: `bridge`

        - eur.sepa: `bridge`

        - brl.pix: `payment_provider`

        - mxn.spei: `payment_provider`


        Only the currency/payment rail combinations provided will be updated.
        Other existing configurations will remain unchanged.
      requestBody:
        description: Fiat payout configuration to update
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchFiatPayoutConfigurationInput'
      responses:
        '200':
          description: Successful fiat payout configuration update response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FiatPayoutConfigurationResponse'
              examples:
                SuccessfulPatchFiatPayoutConfigurationResponse:
                  $ref: >-
                    #/components/examples/SuccessfulPatchFiatPayoutConfigurationResponse
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '403':
          description: >-
            Request not allowed. Contact your account manager to be enabled for
            this feature. Additional fees apply.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    CustomerIDParameter:
      name: customerID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
  schemas:
    PatchFiatPayoutConfigurationInput:
      type: object
      required:
        - fiat_payout_configuration
      properties:
        fiat_payout_configuration:
          $ref: '#/components/schemas/FiatPayoutConfiguration'
      description: Input payload for updating a customer's fiat payout configuration
      example:
        fiat_payout_configuration:
          usd:
            wire: customer
    FiatPayoutConfigurationResponse:
      type: object
      required:
        - fiat_payout_configuration
      properties:
        fiat_payout_configuration:
          $ref: '#/components/schemas/FiatPayoutConfiguration'
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    FiatPayoutConfiguration:
      type: object
      description: >
        A nested hash structure representing the fiat payout configuration. The
        top-level keys are currency codes. 

        Each currency maps to a hash where keys are payment rail codes and
        values are payout names.
      properties:
        usd:
          type: object
          description: Payment rail configuration for USD
          properties:
            wire:
              type: string
              enum:
                - developer
                - customer
              description: The payout method to use for USD wire transfers
            ach:
              type: string
              enum:
                - bridge
              description: The payout method to use for USD ACH transfers
        eur:
          type: object
          description: Payment rail configuration for EUR
          properties:
            sepa:
              type: string
              enum:
                - bridge
              description: The payout method to use for EUR SEPA transfers
        brl:
          type: object
          description: Payment rail configuration for BRL
          properties:
            pix:
              type: string
              enum:
                - payment_provider
              description: The payout method to use for BRL PIX transfers
        mxn:
          type: object
          description: Payment rail configuration for MXN
          properties:
            spei:
              type: string
              enum:
                - payment_provider
              description: The payout method to use for MXN SPEI transfers
      example:
        usd:
          wire: developer
          ach: bridge
        eur:
          sepa: bridge
        brl:
          pix: payment_provider
        mxn:
          spei: payment_provider
  examples:
    SuccessfulPatchFiatPayoutConfigurationResponse:
      summary: A successful fiat payout configuration update response
      value:
        fiat_payout_configuration:
          usd:
            wire: customer
            ach: bridge
          eur:
            sepa: bridge
          brl:
            pix: payment_provider
          mxn:
            spei: payment_provider
  responses:
    BadRequestError:
      description: Request containing missing or invalid parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            BadCustomerRequestErrorExample:
              summary: Bad customer request
              value:
                code: bad_customer_request
                message: fields missing from customer body.
                name: first_name,ssn
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    NotFoundError:
      description: No resource found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            NotFoundErrorExample:
              summary: Invalid customer id
              value:
                code: Invalid
                message: Unknown customer id
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````